Update an event property
Update a specific property of a behavioral event definition in your HubSpot account. This operation allows you to modify the details of an existing property associated with a given event. Use this endpoint to keep your event properties up-to-date with the latest information.
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier of the event whose property you want to update.
The name of the property to be updated within the specified event.
Body
A description of the property that will be shown as help text in HubSpot.
For not hidden properties, indicates the order to display the property on the record's activity timeline (ex: displayOrder: 0 is at the top).
Controls whether or not this property is displayed on the record's activity timeline.
Human readable label for the property. Used in HubSpot UI.
A list of available options for the property if it is an enumeration. NOTE: This field is only applicable for enumerated properties.
Response
successful operation
A HubSpot property
A description of the property.
The field type of the property.
The name of the group to which this property belongs.
The display label for the property.
The unique name of the property.
An array of options available for this property, applicable if the property supports multiple values.
The data type of the property.
Indicates whether the property is archived.
The date and time when this property was archived, in ISO 8601 format.
Indicates whether the property is calculated.
The formula used to calculate the property's value, if applicable.
The date and time when this property was created, in ISO 8601 format.
The ID of the user who created this property.
The name of the currency property associated with this property.
The sensitivity level of the data, with valid values including 'non_sensitive', 'sensitive', and 'highly_sensitive'.
highly_sensitive, non_sensitive, sensitive A hint for displaying date properties, with valid values including 'absolute', 'absolute_with_relative', 'time_since', and 'time_until'.
absolute, absolute_with_relative, time_since, time_until The order in which this property is displayed relative to other properties.
Indicates whether the property options are external.
Indicates whether the property is a form field.
Indicates whether the property has a unique value.
Indicates whether the property is hidden.
false
Indicates whether the property is defined by HubSpot.
A hint for displaying number properties, with valid values including 'unformatted', 'formatted', 'currency', 'percentage', 'duration', and 'probability'.
currency, duration, formatted, percentage, probability, unformatted The type of object that this property references.
An array of categories indicating the sensitivity of the data.
Indicates whether a currency symbol is shown for the property.
A hint for displaying text properties, with valid values including 'unformatted_single_line', 'multi_line', 'email', 'phone_number', 'domain_name', 'ip_address', 'physical_address', and 'postal_code'.
domain_name, email, ip_address, multi_line, phone_number, physical_address, postal_code, unformatted_single_line The date and time when this property was last updated, in ISO 8601 format.
The ID of the user who last updated this property.